<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>פגישה 1 - מבוא לתכנות</title>
 
  <meta http-equiv="content-type"
 content="text/html; charset=UTF-8">
 
  <link href="lec.css" rel="stylesheet" type="text/css">
<link rel="contents" href="index.html"><link rel="top" href="index.html"><link rel="start" href="node1.html"><link rel="first" href="node1.html"><link rel="next" href="node3.html#h"><link rel="prev" href="node1.html#h">
</head>
<body>
  
גרסה 1.2
<h1>פגישה 1 - מבוא לתכנות</h1>
  <div class="nav" dir="ltr" align="right"><A HREF="index.html" NAME="h">[Top]</A> <A HREF="node1.html#h">[First]</A> <A HREF="node1.html#h">[Previous]</A> <A HREF="node3.html#h">[Next]</A></div><h2><a name="computer"></a>על טבע המחשב</h2>
     
<ul>
     <li>מחשבים, לעומת בני האדם, אינם מסוגלים (עדיין) לבצע דבר שלא לימדו אותם מראש.</li>
     <li>גם אופן הלימוד הזה מוגבל - כל דבר צריך להסביר להם מאוד במדויק - אי
אפשר לאמר להם "זה כמו הדבר ההוא, חוץ מכך וכך"</li>
     <li>גם השפה שמדברים איתם חייבת להיות מאוד מדוייקת - אם טעינו באות אחת
(רשמנו "wile" במקום "while"), הם צועקים לנו "שגיאת תחביר" (invalid syntax)</li>
     <li>כשמסבירים משהו למחשב, צריך לרדת לפרטים קטנים - אסור לדלג על מקרי
קצה או לאמר למחשב "מכאן כבר תוכל להמשיך לבד"</li>
     
</ul>
                    
                   
<address><a href="http://validator.w3.org/check/referer"><img
 src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 height="31" width="88">
 </a>נכתב על ידי <a href="mailto:choo@actcom.co.il">גיא קרן</a><br>
          </address>
                   
</body>
</html>
